/// This file has been generated, if you wish to
/// modify it in a permanent way, please refer
/// to the script file : gen/generator_haskell.rb

#include <vector>
#include <string>
#include <stdlib.h>
#include "interface_c.hh"
typedef struct __internal__cxx__position {
  int ligne;
  int colonne;
} __internal__cxx__position;
typedef struct __internal__cxx__alien_info {
  __internal__cxx__position pos;
  int points_capture;
  int tour_invasion;
  int duree_invasion;
  int capture_en_cours;
} __internal__cxx__alien_info;
typedef struct __internal__cxx__action_hist {
  action_type atype;
  int id_agent;
  direction dir;
} __internal__cxx__action_hist;
extern "C" erreur api_deplacer(int id_agent, direction dir);
extern "C" erreur api_glisser(int id_agent, direction dir);
extern "C" erreur api_pousser(int id_agent, direction dir);
extern "C" erreur api_debug_afficher_drapeau(__internal__cxx__position pos, debug_drapeau drapeau);
extern "C" int api_points_action_agent(int id_agent);
extern "C" std::vector<direction> api_chemin(__internal__cxx__position pos1, __internal__cxx__position pos2);
extern "C" case_type api_type_case(__internal__cxx__position pos);
extern "C" int api_agent_sur_case(__internal__cxx__position pos);
extern "C" bool api_alien_sur_case(__internal__cxx__position pos);
extern "C" __internal__cxx__position api_position_agent(int id_joueur, int id_agent);
extern "C" __internal__cxx__alien_info api_info_alien(__internal__cxx__position pos);
extern "C" std::vector<__internal__cxx__alien_info> api_liste_aliens(void);
extern "C" std::vector<__internal__cxx__action_hist> api_historique(void);
extern "C" int api_score(int id_joueur);
extern "C" int api_moi(void);
extern "C" int api_adversaire(void);
extern "C" bool api_annuler(void);
extern "C" int api_tour_actuel(void);
extern "C" void api_afficher_case_type(case_type v);
extern "C" void api_afficher_direction(direction v);
extern "C" void api_afficher_erreur(erreur v);
extern "C" void api_afficher_action_type(action_type v);
extern "C" void api_afficher_debug_drapeau(debug_drapeau v);
extern "C" void api_afficher_position(__internal__cxx__position v);
extern "C" void api_afficher_alien_info(__internal__cxx__alien_info v);
extern "C" void api_afficher_action_hist(__internal__cxx__action_hist v);
extern "C" void partie_init();
extern "C" void jouer_tour();
extern "C" void partie_fin();
